<?php

namespace Modules\Product\Interfaces;

use Illuminate\Http\Request;
use Modules\Product\Models\Product;

interface ProductRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Product $product);
    public function save(Request $request, ?Product $product): Product;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
